
function fGetWindow(iframeId) {
    return $(document.getElementById(iframeId).contentWindow)[0];
}

function fGetVal(window, id) {
    return $(window.document.getElementById(id)).get(0);
}
UE.registerUI('dialog',function(editor,uiName){

    //创建dialog
    var dialog = new UE.ui.Dialog({
        //指定弹出层中页面的路径，这里只能支持页面,因为跟addCustomizeDialog.js相同目录，所以无需加路径
        iframeUrl:'/ueditor/uploadPDF/customizeDialogPage.html',
        //需要指定当前的编辑器实例
        editor:editor,
        //指定dialog的名字
        name:uiName,
        //dialog的标题
        title:"上传文件(pdf)",

        //指定dialog的外围样式
        cssRules:"width:750px;height:500px;",

        //如果给出了buttons就代表dialog有确定和取消
        buttons:[
            {
                className:'edui-okbutton',
                label:'插入',
                onclick:function () {
                	var window = fGetWindow(dialog.id+"_iframe");
                	var info = fGetVal(window, "pdfDialog_info");
                	if(info.innerHTML){
                		var val = fGetVal(window, "imgDiv");
                        var htm=val.innerHTML;
                        editor.setContent(htm,true);
                        dialog.close(true);
                	}else {
                		alert("您还没有选择或确认文件");
                	}
                }
            },
            {
                className:'edui-cancelbutton',
                label:'取消',
                onclick:function () {
                    dialog.close(false);
                }
            }
        ]});

    //参考addCustomizeButton.js
    var btn = new UE.ui.Button({
        name:'dialogbutton' + uiName,
        title:'dialogbutton' + uiName,
        //需要添加的额外样式，指定icon图标，这里默认使用一个重复的icon
        cssRules :'background-position: -500px 0;',
        onclick:function () {
            //渲染dialog
            dialog.render();
            dialog.open();
        }
    });
    return btn;
},39);